Differences

This shows you the differences between two versions of the page.

howtos:vistacompatibility [2008/03/07 01:43]
xuesheng Updated to mention the 1.0.0 release
howtos:vistacompatibility [2010/04/23 19:41] (current)
xuesheng Updated to mention Windows 7
Line 1: Line 1:
-====== Vista Compatibility ======+====== Windows 7/Vista Compatibility ======
===== Introduction ===== ===== Introduction =====
-Windows Vista includes a new feature called **User Account Control (UAC)** which is intended to help prevent unauthorised changes to the computer. UAC does this by asking for permission or an administrator password before performing actions that could potentially affect the computer's operation or that change settings that affect other users.+Windows Vista introduced a new feature called **User Account Control (UAC)** which is intended to help prevent unauthorised changes to the computer. UAC does this by asking for permission or an administrator password before performing actions that could potentially affect the computer's operation or that change settings that affect other users.
One of the ways Vista uses to detect whether or not a program needs to be given **administrator** privileges is to examine the program's XML manifest. The first version of POPFile designed to work with Vista's **UAC** feature was the 1.0.0 release (21 December 2007). One of the ways Vista uses to detect whether or not a program needs to be given **administrator** privileges is to examine the program's XML manifest. The first version of POPFile designed to work with Vista's **UAC** feature was the 1.0.0 release (21 December 2007).
 +
 +Windows 7 includes some improvements to the **UAC** introduced in Vista and requires a slightly different XML manifest. This means that  only POPFile 1.1.1 or later has an installer which is compatible with Windows 7.
Although POPFile 0.22.5's installer includes a Vista compatible XML manifest, there are some limitations in the installer which need to be taken into account (see [[#POPFile 0.22.5]] below). Although POPFile 0.22.5's installer includes a Vista compatible XML manifest, there are some limitations in the installer which need to be taken into account (see [[#POPFile 0.22.5]] below).
POPFile 0.22.4 and all earlier releases were created before Windows Vista was released. This means none of these programs include the XML manifest information used by Vista therefore these old releases will not work properly on Vista (see [[#POPFile 0.22.4 (or earlier)]] below). POPFile 0.22.4 and all earlier releases were created before Windows Vista was released. This means none of these programs include the XML manifest information used by Vista therefore these old releases will not work properly on Vista (see [[#POPFile 0.22.4 (or earlier)]] below).
 +
 +
 +===== POPFile 1.1.1 (or later) =====
 +
 +The installer for the 1.1.1 release was the first to be fully compatible with Windows 7. The installer allows easy installation from a **standard** user account or an **administrator** account. Although Windows 7, like Vista, includes **UAC** there are some subtle differences from Vista which mean that only the POPFile 1.1.1 (or later) installer works properly on Windows 7.
 
howtos/vistacompatibility.txt · Last modified: 2010/04/23 19:41 by xuesheng

Should you find anything in the documentation that is incomplete, unclear, outdated or just plain wrong, please let us know and leave a note in the Documentation Forum.

Recent changes RSS feed Donate Driven by DokuWiki
The content of this wiki is protected by the GNU Fee Documentation License